package com.example.topse.fs;

public abstract class FileNode {

	private String name;
	private Directory parent = null;

	public FileNode(String name) {
		this.name = name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}
	
	public abstract boolean isDirectory();
	
	public void setParent(Directory directory) {
		parent = directory;
	}
	
	public Directory getParent() {
		return parent;
	}
}