package com.example.topse.shell.commands;

import com.example.topse.fs.Directory;
import com.example.topse.fs.File;
import com.example.topse.shell.Shell;

public class MkfileCommand implements Command {
	public boolean execute(Shell shell, String command, String[] args) {
		if (!"mkfile".equals(command)) {
			return false;
		}
		
		if (args == null || args.length == 0 || args[0].isEmpty()) {
			shell.write("Invalid Arguments");
			return true;
		}

		Directory directory = shell.getCurrentDirectory();
		directory.appendChild(new File(args[0]));

		return true;
	}
}
