package console;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.List;

import ajailTeam1.FileApi;

public class Console {
	
	
	public String[] commandArgs;
	
	// File Api
	FileApi fileApi = new FileApi();
	
	/**
	 * @param args
	 * @throws IOException 
	 */
	public static void main(String[] args) throws IOException {
		
		System.out.println("NI");
		
		Console console = new  Console();

		InputStreamReader ir = new InputStreamReader(System.in);
        BufferedReader r = new BufferedReader(ir);

        String line;
        System.out.print("command>");
        while ((line = r.readLine()) != null) {
            
            if(line.equals("exit")){
            	break;
            }else{
            	console.setCommandArgs(line);
            	if (console.doCommand()){
            		
            	} else {
            		System.out.println("Command Unknown!!");
            	}
            	
            	/*
            	for(int i=0;i<console.commandArgs.length;i++){
            		System.out.println(console.commandArgs[i]);
            	}
            	*/
            	            	
            }
            System.out.print("command>");
        }

		System.out.println("II");
		
	}
	
	public void setCommandArgs(String command){
		
		commandArgs =  command.split(" ");
		
	}
	
	public String[] getCommandArgs(){
		return commandArgs;
	}
	
	public boolean doCommand() {
		String command = commandArgs[0];		
		if ( command.equals("exit")){
			System.exit(0);
		}
		if ( command.equals("pwd")) {
			System.out.println(fileApi.getCurrentPath());
			return true;
		}
		if ( command.equals("mkdir")) {
			fileApi.createDir(commandArgs[1]);
			return true;
		}
		if ( command.equals("mkfile")) {
			fileApi.createFile(commandArgs[1]);
			return true;
		}
		if ( command.equals("ls")) {
			String dir = fileApi.getCurrentDir();
			String file = fileApi.getCurrentFile();
			System.out.println(dir);
			return true;
		}
		if ( command.equals("cd")) {
			return fileApi.moveDir(commandArgs[1]);
		}
		
		
		
		
		return false;
	}
	

	public Console()	{
		status = true;
	}
	
	boolean status = true;
	
	public boolean getCurrentStatus()
	{
		return status;
	}

	
}
