package com.example.topse.shell.commands;

import com.example.topse.fs.Directory;
import com.example.topse.shell.Shell;

public class MkdirCommand implements Command {

	@Override
	public boolean execute(Shell shell, String command, String[] args) {
		if (!"mkdir".equals(command)) {
			return false;
		}
		
		if (args == null || args.length == 0 || args[0].isEmpty()) {
			shell.write("Invalid Arguments");
			return true;
		}
		
		Directory directory = shell.getCurrentDirectory();
		directory.appendChild(new Directory(args[0]));
		return true;
	}

}
