package com.example.topse.shell.commands;

import com.example.topse.fs.Directory;
import com.example.topse.fs.DummyFileSystem;
import com.example.topse.shell.Shell;

public class PwdCommand implements Command {

	@Override
	public boolean execute(Shell shell, String command, String[] args) {
		if (!"pwd".equals(command)) {
			return false;
		}

		Directory directory = shell.getCurrentDirectory();
		String path = DummyFileSystem.getInstance().getPath(directory);
		shell.write(path);

		return true;
	}

}
