package ajailTeam1;

import java.util.ArrayList;
import java.util.Iterator;

public class DirTree
{
    public static void main( String[] args )
    {
        // ؍\Ă݂܂B
        // Ȋ̖؍\B
/*
[/]
|-[folder01]
| |-l1
|-[folder02]
| |-l1
| |-l2
*/
        // [gvfB
        TreeFolder root = new TreeFolder( "/" );

        TreeFolder folder01 = new TreeFolder( "folder01" );
        folder01.add( new TreeValue( "l1" ) );
        root.add( folder01 );

        TreeFolder folder02 = new TreeFolder( "folder02" );
        folder02.add( new TreeValue( "l1" ) );
        folder02.add( new TreeValue( "l2" ) );
        root.add( folder02 );

        System.out.println( root.toString() );
        // [root]([folder01](l1),[folder02](l1,l2))
    }
}

/**
*   vfA܂utH_vƁulv̗̌ƂȂabstractNXB
*   CX^XȂ悤abstractɂĂ܂B
*/
abstract class TreeElement
{
    /** vf́uOvB */
    protected String name;

    /**
    *   RXgN^B
    */
    public TreeElement( String name )
    {
        this.name = name;
    }
}

/**
*   utH_vvfNXB
*   ́utH_v́ulvi[܂B
*/
class TreeFolder extends TreeElement
{
    /**
    *   qvfi[ArrayListNXB
    */
    private ArrayList children = new ArrayList();
    
    /**
    *   RXgN^B
    */
    public TreeFolder( String name )
    {
        super( name );
    }

    /**
    *   vfA܂utH_v́ulvǉ܂B
    */
    public void add( TreeElement element )
    {
        children.add( element );
    }
    
    public TreeFolder getChildFoler(String childFolderName) {
    	for ( Iterator iter = children.iterator(); iter.hasNext();) {
            Object object = iter.next();
            if( object.toString().equals(childFolderName) )
            {
                return (TreeFolder) object;
            }
    	}
    	return null;
    }
    public String getChildFolerAll() {
    	return children.toString();
    }

    /**
    *   Ăvf܂߂ĕ񉻂܂B
    */
    public String toString()
    {
        StringBuffer strbuf = new StringBuffer();
        strbuf.append( name );

        for( Iterator iter = children.iterator(); iter.hasNext(); )
        {
            Object object = iter.next();
            strbuf.append( object.toString() );
            if( iter.hasNext() == true )
            {
                strbuf.append( "," );
            }
        }

        return strbuf.toString();
    }
}

/**
*   ulvvfNXB
*   ulvi[܂B
*/
class TreeValue extends TreeElement
{
    /**
    *   RXgN^B
    */
    public TreeValue( String value )
    {
        super( value );
    }

    /**
    *   񉻂܂B
    */
    public String toString()
    {
        return name;
    }
} 